function suavisar;
%
% Suavizacao de uma funcao.
%
% Funcoes chamadas: faprox.
%
% L. N. Vicente, Outubro de 2004.
%
%
p = 1001;
h = 2*pi/p;
%
x = [0:h:2*pi];
%
for i=1:p+1,
    y(i) = faprox(h*(i-1));
end
%
plot(x,y)
%
hold on
%
fhat = fft(y);              % Obter o espectro.
%
fhat(p/2-430:p/2+430) = 0;  % Filtrar coeficientes
                            % de frequencia elevada.
%
fmod = ifft(fhat);          % Reconstruir.
%
plot(x,fmod,'r')
%
hold off
%
% Fim.